// Includes
#include <windows.h>
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

char message[256];
char ip[20];
int port;

int main()
{
	WSAData wsdata; //Declare WSAData
	WORD wsver=MAKEWORD(2, 0); //We want Winsock 2.0
	int nret=WSAStartup(wsver, &wsdata); //Pass version 2.0 and pointer to implement

	// If inut fails...
	if(nret != 0)
	{ 
		// A successful return value should be 0
		printf("Startup failed, error code: %d",WSAGetLastError()); //Returns error code
		WSACleanup(); //Cleanup Winsock library
		printf("\n");
		system("PAUSE");
		return -1;
	}

	// Else.
	printf("Init success\n");
	SOCKET kSock=socket(AF_INET, SOCK_STREAM, 0);

	// If socket invalid...
	if(kSock == INVALID_SOCKET)
	{
		printf("Socket init failed");
		printf("\n");
		system("PAUSE");
		return -1;
	}

	// Else.
	printf("Socket initialized\n");
	sockaddr_in sin;
	// Get Port.
	printf("What port would you like to use: ");
	scanf("%d",&port);
	sin.sin_port=htons(port); //Connect to port.
	// Get IP.
	printf("Insert Wii IP: ");
	scanf("%s",ip);
	sin.sin_addr.s_addr=inet_addr(ip); //Connect to wii
	sin.sin_family=AF_INET;

	// If connection fails...
	if(connect(kSock,(sockaddr*)&sin, sizeof(sin)) == SOCKET_ERROR)
	{ //Check the condition
		printf("Connect failed, error: %d\nMake sure there is a server up.",WSAGetLastError()); //Returns error code
		WSACleanup(); //Cleanup the library
		printf("\n");
		system("PAUSE");
		return -1;
	}

	// Else.
	printf("Connection successful!\n\n");

	// Start receiving.
	while(1)
	{
		printf("PC: ");
		fflush(stdin);
		gets(message);
		send(kSock,message, sizeof(message), 0); // Send message.
		if(message[0] == 'e' && message[1] == 'x' && message[2] == 'i' && message[3] == 't' && message[4] == NULL)
		{
			send(kSock,message, sizeof(message), 0);
			return 0;
		}
	}
	closesocket(kSock);
	printf("\n");
	system("PAUSE");
	return 0;
}